/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.syncclient.ipod.utils;

import java.awt.Font;
import java.io.File;

/**
 * Constants.
 *
 * @version $Id: Constants.java,v 1.1 2006/01/18 14:05:35 luigiafassina Exp $
 */
public interface Constants {

    //---------------------------------------------------------------- Constants
    public static final String lookAndFeel =
    "com.sun.java.swing.plaf.windows.WindowsLookAndFeel";
    public final static Font font = new Font("Microsoft Sans Serif", 0, 11);

    public static final String FRAME_ARROWSNAME =
    "images" + File.separator + "arrows_sync.png";
    public static final String FRAME_ICONNAME   =
    "images" + File.separator + "fsc.gif"        ;
    public static final String FRAME_LOGONAME   =
    "images" + File.separator + "funambol.png";

    public final static String SYNC_NONE   = "none"    ;
    public final static String SYNC_TWOWAY = "two-way" ;

    public final static String PARAM_SOURCEURICONTACT  = "sourceContactURI" ;
    public final static String PARAM_SOURCEDIRCONTACT  = "sourceDirContact" ;
    public final static String PARAM_SOURCEURICALENDAR = "sourceCalendarURI";
    public final static String PARAM_SOURCEDIRCALENDAR = "sourceDirCalendar";
    public final static String PARAM_SOURCEURINOTE     = "sourceNoteURI"    ;
    public final static String PARAM_SOURCEDIRNOTE     = "sourceDirNote"    ;

    public final static String PARAM_SYNCCONTACT       = "sync-contact"     ;
    public final static String PARAM_SYNCCALENDAR      = "sync-calendar"    ;
    public final static String PARAM_SYNCNOTE          = "sync-note"        ;

    public final static String PARAM_SYNCSOURCEDRIVE   = "sourceDrive"       ;
    public final static String PARAM_SYNCSOURCEDIR     = "sourceDirectory"   ;
    public final static String PARAM_PASSWORD          = "password"          ;
    public final static String PARAM_SOURCEURI         = "sourceURI"         ;
    public final static String PARAM_SYNCMLURL         = "syncml-url"        ;
    public final static String PARAM_SYNCMODE          = "sync"              ;
    public final static String PARAM_SYNCSOURCEURI     = "sourceURI"         ;
    public final static String PARAM_TARGETLOCALURI    = "target-local-uri"  ;
    public final static String PARAM_USERNAME          = "username"          ;
    public final static String PARAM_DEVICEID          = "device-id"         ;
    public final static String PARAM_LOGLEVEL          = "log-level"         ;

    public final static String LOG_INFO                = "info"              ;
    public final static String LOG_DEBUG               = "debug"             ;
    public final static String LOG_NONE                = "none"              ;
}